import maya.mel
from mtoa.ui.ae.shaderTemplate import ShaderAETemplate

class AEapGrayBallTemplate(ShaderAETemplate):
    def setup(self):
        self.addSwatch()
        self.beginScrollLayout()
        self.beginLayout("Textur Attributes", collapse=False)
        self.addControl('texture', label='Texture')
        self.addControl('blur', label='Blur')
        self.endLayout()
        maya.mel.eval('AEdependNodeTemplate '+self.nodeName)
        self.addExtraControls()
        self.endScrollLayout()
        